Expenses
Update Hris Expense Category
Renames or toggles active state of an org expense category.
POSThttps://api.toku.com/hris/update-hris-expense-category
Not available to API keys yet. It will need expenses:write.
curl --request POST \
--url 'https://api.toku.com/hris/update-hris-expense-category' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"hrisExpenseCategoryID": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"name": "string",
"isActive": true
}'200 response
{
"hrisExpenseCategoryID": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"name": "string",
"isActive": true
}Authorizations
AuthorizationstringheaderrequiredBearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.
Body
application/json
hrisExpenseCategoryIDstring<uuid>requirednamestringAllowed: 1 to 100 characters
isActivebooleanResponse
200Successful response
hrisExpenseCategoryIDstring<uuid>requirednamestringrequiredisActivebooleanrequired400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits